Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Class ThingEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iface.ui.AbstractEditorPanel
                          ix.iface.ui.ThingEditorPanel

All Implemented Interfaces:
  IXEditorPanel, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ThingEditorPanel

extends AbstractEditorPanel

A simple panel with a label (title), a component, and optional buttons. The given label will be at the top, the given component at the left and buttons with given labels on the right. Adds the given listener to the buttons and the list.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.ui.AbstractEditorPanel
`AbstractEditorPanel.ListRightClickMenuItem`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class ix.iface.ui.AbstractEditorPanel
`border, butPanel, deminBut, deminIcon, isBordered, itemComponent, minBut, minIcon, nameLabel, oldGBC, rightClickMenu, scrollPan, xDeminIcon, xMinIcon`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ThingEditorPanel()`
`ThingEditorPanel(java.util.EventListener ml, boolean bordered, java.lang.String label, boolean minimisable, javax.swing.JComponent component)`
`ThingEditorPanel(java.util.EventListener ml, boolean b, java.lang.String l, javax.swing.JComponent c)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimisable, javax.swing.JComponent component)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimisable, javax.swing.JComponent component, java.lang.String[] buttons)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String label, boolean minimisable, java.lang.String[] buttons)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String l, javax.swing.JComponent c)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String l, javax.swing.JComponent c, java.lang.String[] bs)`
`ThingEditorPanel(java.util.EventListener ml, java.lang.String l, java.lang.String[] bs)`

Method Summary
`java.lang.Object` | `getData()` Gets the current data of a text component.
`javax.swing.text.JTextComponent` | `getTextComponent()`
`boolean` | `isListItem()` Checks whether the item component can take lists (e.g.
`void` | `removeData()` Removes all text from the component.
`void` | `setData(java.lang.Object data)` Sets the current data of a text component.
`void` | `setEnabled(boolean isEditable)` Makes the item (not) editable and enables (disables) the buttons
`boolean` | `setRenderer(javax.swing.ListCellRenderer r)` Sets the renderer if the itemComponent is a JList or a JComboBox;

Methods inherited from class ix.iface.ui.AbstractEditorPanel
`addComponentListener, adviseMinimise, dataSet, deMinimise, ensureRightClickMenu, getItemComponent, getName, hasData, isListItem, isMinimisable, isMinimised, isScrollItem, larger, makePanelComponent, makeRightClickMenu, minimise, setLabel, smaller`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThingEditorPanel

    public ThingEditorPanel()

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String l,
                            javax.swing.JComponent c)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String l,
                            java.lang.String[] bs)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String l,
                            javax.swing.JComponent c,
                            java.lang.String[] bs)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            boolean b,
                            java.lang.String l,
                            javax.swing.JComponent c)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String label,
                            boolean minimisable,
                            javax.swing.JComponent component)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String label,
                            boolean minimisable,
                            java.lang.String[] buttons)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            java.lang.String label,
                            boolean minimisable,
                            javax.swing.JComponent component,
                            java.lang.String[] buttons)

### ThingEditorPanel

    public ThingEditorPanel(java.util.EventListener ml,
                            boolean bordered,
                            java.lang.String label,
                            boolean minimisable,
                            javax.swing.JComponent component)

Method Detail

### isListItem

    public boolean isListItem()

  Description copied from interface: `IXEditorPanel`
  Checks whether the item component can take lists (e.g. JList/JComboBox)

  Specified by:
    `isListItem` in interface `IXEditorPanel`
  Overrides:
    `isListItem` in class `AbstractEditorPanel`

### getData

    public java.lang.Object getData()

  Gets the current data of a text component.

  Specified by:
    `getData` in interface `IXEditorPanel`
  Specified by:
    `getData` in class `AbstractEditorPanel`
  Returns:
    data a string that contains the text from component.

### getTextComponent

    public javax.swing.text.JTextComponent getTextComponent()

### setData

    public void setData(java.lang.Object data)

  Sets the current data of a text component.

  Specified by:
    `setData` in interface `IXEditorPanel`
  Specified by:
    `setData` in class `AbstractEditorPanel`
  Parameters:
    `data` - a string that contains the text to put into the component

### removeData

    public void removeData()

  Removes all text from the component.

  Specified by:
    `removeData` in interface `IXEditorPanel`
  Specified by:
    `removeData` in class `AbstractEditorPanel`

### setRenderer

    public boolean setRenderer(javax.swing.ListCellRenderer r)

  Description copied from interface: `IXEditorPanel`
  Sets the renderer if the itemComponent is a JList or a JComboBox;

  Specified by:
    `setRenderer` in interface `IXEditorPanel`
  Specified by:
    `setRenderer` in class `AbstractEditorPanel`
  Returns:
    true if the renderer was set, false if not.

### setEnabled

    public void setEnabled(boolean isEditable)

  Makes the item (not) editable and enables (disables) the buttons

  Specified by:
    `setEnabled` in interface `IXEditorPanel`
  Overrides:
    `setEnabled` in class `AbstractEditorPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD